curl -X POST 'https://crypto-api.yativo.com/api/v1/customers/6650a1f2c3d4e5f6a7b8c9d0/auto-forward' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"destination_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"asset_id": "665a0b1c2d3e4f5a6b7c8d9e",
"chain": "SOL",
"percentage": 100
}'
{ "status": true, "message": "Auto-forward rule saved", "data": { "destination_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU", "percentage": 100, "chain": "SOL", "enabled": true } }
WaaS Customers (Wallet Sub-accounts)
Set Customer Auto-Forward
Forward a customer’s deposits to another address
POST
/
v1
/
customers
/
{customer_id}
/
auto-forward
curl -X POST 'https://crypto-api.yativo.com/api/v1/customers/6650a1f2c3d4e5f6a7b8c9d0/auto-forward' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"destination_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"asset_id": "665a0b1c2d3e4f5a6b7c8d9e",
"chain": "SOL",
"percentage": 100
}'
{ "status": true, "message": "Auto-forward rule saved", "data": { "destination_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU", "percentage": 100, "chain": "SOL", "enabled": true } }
string
required
Bearer token:
Bearer YOUR_ACCESS_TOKENstring
required
The customer ID.
string
required
Address to forward deposits to.
string
required
The asset to forward.
string
required
The chain, e.g.
SOL.number
default:"100"
Share of each deposit to forward.
string
default:"0.0001"
Deposits below this amount aren’t forwarded.
boolean
default:"true"
Turn the rule on or off.
curl -X POST 'https://crypto-api.yativo.com/api/v1/customers/6650a1f2c3d4e5f6a7b8c9d0/auto-forward' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"destination_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"asset_id": "665a0b1c2d3e4f5a6b7c8d9e",
"chain": "SOL",
"percentage": 100
}'
{ "status": true, "message": "Auto-forward rule saved", "data": { "destination_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU", "percentage": 100, "chain": "SOL", "enabled": true } }

